@import 'config';
@import 'utilities';

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Encode Sans Semi Expanded', sans-serif;
    background-color: $black-color;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

::-webkit-scrollbar {
    display: none;
}

header {
    position: relative;
}

#navbar {
    
    &-1 {
        background-color: transparent;
        color: $medium-gray;
        position: absolute;
        z-index: 5;
        width: 100%;
        height: 60px;
        display: flex;
        margin-top: 10px;

        .left-items {
            display: flex;
            width: 80%;
            justify-content: flex-start;
            align-items: center;
            margin-left: 70px;

            & > div {
                display: flex;
                align-items: center;
                cursor: pointer;
                margin-left: 25px;
            }

            span {
                margin-left: 5px;
            }

            .current {
                a {
                    color: $white-color;
                    text-align: center;
                    display: flex;
                    align-items: center;
                }

                svg {
                    path {
                        fill: #fff;
                    }
                }
                color: $white-color;
            }
        }

        .right-items {
            display: flex;
            width: 20%;
            justify-content: flex-end;
            align-items: center;
            margin-right: 70px;

            & > div {
                display: flex;
                align-items: center;
                cursor: pointer;

                svg {
                    margin-right: 50px;
                }
            }
        }
    }

    &-2 { 
        display: none; 
    }

    &-3 {
        display: none;
    }
}

#showcase {

    &-home {

        .showcase {
            position: relative;
            background: linear-gradient(to top, rgba(255, 255, 255, 0.169), rgb(0, 0, 0)), url('/dist/img/showcase-bg.jpg');
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            width: 100%;
            height: 1000px;
            
    
            .showcase-content {
                position: absolute;
                left: 0;
                top: 0;
                margin-top: 200px;
                margin-left: 70px;
                width: 820px;
                color: $white-color;
    
                .subtitle-welcome {
                    margin-bottom: 20px;
                }
                
                .title {
                    margin-bottom: 30px;
                }
    
                .subtitle-enjoy {
                    margin-bottom: 20px;
                }
                
                form {
                    display: flex;
                    
                    .form-group {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        border: 1px solid #ced4da;
                        padding: 18px;
                        border-radius: 3px 0px 0px 3px;
                        width: auto;
                        background-color: #fff;
                        text-align: center;
                        
                        & input {
                            display: inline-block;
                            width: auto;
                            border: none;
                            padding: 0 20px;
                            font-size: 16px;
                        }
                        
                        & input:focus {
                            box-shadow: none;
                            outline: none;
                        }
                        
                        .country-code {
                            color: $black-color;
                            border-right: 1px solid $primary-color;
                            padding: 10px;
        
                            p {
                                padding-right: 10px;
                                display: inline-block;
                            }
                        }
                    }
                    
                    .btn-primary {
                        padding: 25px 40px;
                        border-radius: 0px 3px 3px 0px;
                        font-size: 16px;
                        font-weight: 600;
                        height: 100%;
                    }
                }
                
            }
        }
    }

    &-play {
        display: flex;
        padding-right: 80px;

        .showcase-movie {
            width: 100%;
            padding: 90px 25px 0 80px;
            
            .showcase-img {
                position: relative;
                background-image: url('/dist/img/bizli-play.jpg');
                background-size: cover;
                background-position: center;
                background-repeat: no-repeat;
                width: 100%;
                height: 1000px;
        
                .btn-play {
                    position: absolute;
                    margin: auto;
                    top: 0;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    width: 87px;
                    height: 87px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
        
                    svg {
                        margin-left: 3px;
                    }
                }
            }

            .showcase-content {
                color: $white-color;

                .movie-content {
                    display: none;
                }

                .title-icons {
                    display: flex;
                    justify-content: space-between;
                    padding-top: 20px;

                    .icons {
                        display: flex;
                        align-items: center;
                        text-align: center;
                        
                        & > div {
                            padding: 0 10px;
                            color: $medium-gray;

                            svg {
                                path {
                                    fill: #807E81;
                                }
                            }
                        }

                        & > div:hover {
                            color: #1884F7;

                            svg {
                                path,
                                rect {
                                    fill: #1884F7;
                                }
                            }
                        }
                    }
                }

                .year-time {
                    padding-top: 20px;

                    span {
                        color: $medium-gray;
                    }
                }

                .desc {
                    padding-top: 40px;

                    h4 {
                        padding-bottom: 15px;
                    }

                    p {
                        color: $medium-gray;
                    }
                }
            }
        }

        .movies-for-you {
            width: 25%;
            padding-left: 25px;
            
            #movie {
                &-1 { background-image: url('/dist/img/most-popular/no-way-home.jpg'); }
        
                &-2 { background-image: url('/dist/img/most-popular/ted.jpg'); }
        
                &-3 { background-image: url('/dist/img/most-popular/the-dark-knight.jpg'); }
        
                &-4 { background-image: url('/dist/img/most-popular/mr-robot.jpg'); }
        
                &-5 { background-image: url('/dist/img/most-popular/the-wolf-of-wall-street.jpg'); }
                
                &-6 { background-image: url('/dist/img/most-popular/aquaman.jpg'); }
            }
        
            .movies {
                
                .item {
                    width: 220px;
                    height: 350px;
                    margin-bottom: 10px;
        
                    .item-title {
                        padding-top: 310px;
                        font-size: 14px;
                        max-width: 150px;
                    }
                }
            }
        }
    }
}

#live-show {

    .section-items {
        display: flex;
        color: $white-color;

        .live-show-item {
            display: flex;
            align-items: center;

            .live-show-img {
           
                img {
                    width: 200px;
                }
            }

            .live-show-content {
                width: 300px;
                margin-left: 20px;

                h2 {
                    margin-bottom: 10px;
                }

                p {
                    color: $medium-gray;
                }

                button {
                    margin-top: 10px;
                }
            }
        }
    }

}

#most-popular {

    #movie {
        &-1 { background-image: url('/dist/img/most-popular/anna.jpg'); }

        &-2 { background-image: url('/dist/img/most-popular/ted.jpg'); }

        &-3 { background-image: url('/dist/img/most-popular/the-dark-knight.jpg'); }

        &-4 { background-image: url('/dist/img/most-popular/mr-robot.jpg'); }

        &-5 { background-image: url('/dist/img/most-popular/the-wolf-of-wall-street.jpg'); }
        
        &-6 { background-image: url('/dist/img/most-popular/aquaman.jpg'); }

        &-7 { background-image: url('/dist/img/most-popular/john-wick.jfif'); }

        &-8 { background-image: url('/dist/img/most-popular/the-hunger-games.jpg'); }

        &-9 { background-image: url('/dist/img/most-popular/it.jfif'); }

        &-10 { background-image: url('/dist/img/most-popular/ant-man.jpg'); }

        &-11 { background-image: url('/dist/img/most-popular/joker.jpg'); }
    }

    .movies {
        
        .item {
            width: 300px;
            height: 450px;

            .item-title {
                padding-top: 460px;
            }
        }
    }
}

#movies-for-you {

    #movie {
        &-12 { background-image: url('/dist/img/movies-for-you/avengers.jpg'); }

        &-13 { background-image: url('/dist/img/movies-for-you/wonder-woman.jpg'); }

        &-14 { background-image: url('/dist/img/movies-for-you/batman-vs-superman.jpg'); }

        &-15 { background-image: url('/dist/img/movies-for-you/suicide-squad.jpg'); }

        &-16 { background-image: url('/dist/img/movies-for-you/the-dark-world.jpg'); }  
    }
}

#latest-bangla-music {

    padding-bottom: 80px;

    #song {
        &-1 { background-image: url('/dist/img/latest-bangla-music/amar-e-mon.jpeg') ;}

        &-2 { background-image: url('/dist/img/latest-bangla-music/bolo-bhalobasho.jpg') ;}

        &-3 { background-image: url('/dist/img/latest-bangla-music/jani-pabona.jpg') ;}

        &-4 { background-image: url('/dist/img/latest-bangla-music/jodi-hatta-dhoro.jpg') ;}

        &-5 { background-image: url('/dist/img/latest-bangla-music/tor-naamer-ichchera.jpg') ;}
    }

    .songs {

        .item {
            width: 700px;
            height: 400px;

            .item-title {
                padding-top: 410px;
            }
        }
    }
}

#related-videos {
    padding-bottom: 200px;
    padding-right: 80px;

    #movie {
        &-17 { background-image: url('/dist/img/related-videos/avengers-infinity-war.jpg'); }

        &-18 { background-image: url('/dist/img/related-videos/captain-america.jpg'); }

        &-19 { background-image: url('/dist/img/related-videos/age-of-ultron.jpg'); }

        &-20 { background-image: url('/dist/img/related-videos/black-panther.jpg'); }

        &-21 { background-image: url('/dist/img/related-videos/world-war-hulk.jpg'); }  
    }
}

#movies-for-you,
#related-videos {
    
    .movies {

        .item {
            width: 700px;
            height: 400px;

            .item-title {
                padding-top: 410px;
            }
        }
    }
}

#footer {

    &-1 {
        border-top: 7px solid $medium-gray;
        color: $white-color;
        height: 300px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
        // padding-bottom: 70px;

        .footer-elements {
            display: flex;
            align-items: center;
            justify-content: center;

            .gray {
                color: $medium-gray;
                cursor: auto;
            }

            & a {
                display: inline-block;
                cursor: pointer;
                padding: 0 40px;
            }

            & svg {
                margin: 0 40px;
            }

            & a:not(.ignore) {
                border-right: 1px solid $medium-gray;
            }
        }

        .footer-txt {
            margin-top: 40px;
        }
    }

    &-2 {
        display: none;
    }
}

// Media Queries
@import 'media';
